<?php
/**
 * Arquivo de declaração da classe Controller.
 */
class Controller
{
    /**
     * Método para o select.
     *
     * @param  array  $data
     */
    public static function select($data = array())
    {
        return FabricaDAO::fabricar(static::className())->select($data);
    }

    /**
     * Obtém o nome do model.
     *
     * @return string
     */
    public static function className()
    {
        return get_class(new static()) . 'DAO';
    }
}
